For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
            • GETList Themes
            • POSTUpload Theme
            • GETGet Theme
            • DELDelete Theme
              • GETGet Theme Job
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentThemesTheme Jobs

Get Theme Job

GET
https://api.bigcommerce.com/stores/:store_hash/v3/themes/jobs/:job_id
GET
/stores/:store_hash/v3/themes/jobs/:job_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/themes/jobs/job_id \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200response
1{
2 "data": {
3 "errors": [],
4 "id": "ceea1917b1518f5ae491da6ad8a56336",
5 "percent_complete": 100,
6 "result": {
7 "theme_id": "ed1982d0-9d78-0136-33ba-0d84a0c6431b"
8 },
9 "status": "COMPLETED",
10 "time": "2018-09-18T13:59:01Z",
11 "warnings": []
12 },
13 "meta": {}
14}

Returns a theme Job. When the job is complete, the results array provides a generated link to access the theme. The link is active for 60 seconds.

Was this page helpful?
Previous

List Custom Templates

Next

Widgets

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Themesmodifystore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

job_idstringRequired
The job identifier.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

dataobject
The job for theme upload or download
metaobject
Response metadata.